package net.northking.cctp.upperComputer.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author : yineng.huang
 * @date : 2024/5/23 10:58
 */
@Component
@ConfigurationProperties(prefix = "macos.build-wda")
public class BuildWdaConfig {

    private boolean buildWda;

    //mac电脑的用户名，不能是root
    private String xcodeUsername;

    //mac系统的密码
    private String keyChainPassword;

    //wda工程代码位置
    private String wdaProjectPath;

    //xcode14位置
    private String xcode14Path;

    //xcode15的位置
    private String xcode15Path;

    //打包后wda包的位置,IOS17以下使用
    private String wdaForIos17BelowPackagePath;

    //打包后wda包的位置,IOS17及以上使用
    private String wdaForIos17AbovePackagePath;

    private String wdaForIos17BelowPackageDefaultPath;

    private String wdaForIos17AbovePackageDefaultPath;

    private boolean printWdaOutput;

    public boolean isBuildWda() {
        return buildWda;
    }

    public void setBuildWda(boolean buildWda) {
        this.buildWda = buildWda;
    }

    public String getWdaForIos17BelowPackageDefaultPath() {
        return wdaForIos17BelowPackageDefaultPath;
    }

    public void setWdaForIos17BelowPackageDefaultPath(String wdaForIos17BelowPackageDefaultPath) {
        this.wdaForIos17BelowPackageDefaultPath = wdaForIos17BelowPackageDefaultPath;
    }

    public String getWdaForIos17AbovePackageDefaultPath() {
        return wdaForIos17AbovePackageDefaultPath;
    }

    public void setWdaForIos17AbovePackageDefaultPath(String wdaForIos17AbovePackageDefaultPath) {
        this.wdaForIos17AbovePackageDefaultPath = wdaForIos17AbovePackageDefaultPath;
    }

    public boolean isPrintWdaOutput() {
        return printWdaOutput;
    }

    public void setPrintWdaOutput(boolean printWdaOutput) {
        this.printWdaOutput = printWdaOutput;
    }

    public String getWdaProjectPath() {
        return wdaProjectPath;
    }

    public void setWdaProjectPath(String wdaProjectPath) {
        this.wdaProjectPath = wdaProjectPath;
    }

    public String getXcode14Path() {
        return xcode14Path;
    }

    public void setXcode14Path(String xcode14Path) {
        this.xcode14Path = xcode14Path;
    }

    public String getXcode15Path() {
        return xcode15Path;
    }

    public void setXcode15Path(String xcode15Path) {
        this.xcode15Path = xcode15Path;
    }

    public String getWdaForIos17BelowPackagePath() {
        return wdaForIos17BelowPackagePath;
    }

    public void setWdaForIos17BelowPackagePath(String wdaForIos17BelowPackagePath) {
        this.wdaForIos17BelowPackagePath = wdaForIos17BelowPackagePath;
    }

    public String getWdaForIos17AbovePackagePath() {
        return wdaForIos17AbovePackagePath;
    }

    public void setWdaForIos17AbovePackagePath(String wdaForIos17AbovePackagePath) {
        this.wdaForIos17AbovePackagePath = wdaForIos17AbovePackagePath;
    }

    public String getXcodeUsername() {
        return xcodeUsername;
    }

    public void setXcodeUsername(String xcodeUsername) {
        this.xcodeUsername = xcodeUsername;
    }

    public String getKeyChainPassword() {
        return keyChainPassword;
    }

    public void setKeyChainPassword(String keyChainPassword) {
        this.keyChainPassword = keyChainPassword;
    }
}
